local M = {}

function M.create_augroup(autocmds, name)
    vim.cmd('augroup ' .. name)
    vim.cmd('autocmd!')
    for _, autocmd in ipairs(autocmds) do
        vim.cmd('autocmd ' .. table.concat(autocmd, ' '))
    end
    vim.cmd('augroup END')
end

function M.hi(name, opts)
    local options = ""
    for k, v in pairs(opts) do
        options = options.." "..k.."="..v
    end
    vim.cmd("highlight "..name..options)
end

function M.create_function(body, name)
    vim.cmd('function! ' .. name)
    for _, line in ipairs(body) do
        vim.cmd(line)
    end
    vim.cmd('endfunction')
end

function _G.dump(...)
    local objects = vim.tbl_map(vim.inspect, {...})
    print(unpack(objects))
end

return M
